gmondump
Prev | Cygwin Utilities | Next

## Name

gmondump — Display formatted contents of profile data files

## Synopsis

`gmondump` [-v] [FILENAME...]

`gmondump` -h | -V

## Options

      -h, --help             Display usage information and exit
      -v, --verbose          Display more file details (toggle: default false)
      -V, --version          Display version information and exit

## Description

The gmondump utility displays the contents of one or more profile data files. Such files usually have names starting with "gmon.out" and are created by a profiling program such as profiler or ssp. Compiling your gcc/g++ programs with option `-pg` also works.

By default, summary information is shown. You can use the option `-v` to get more detailed displays.

Note that gmondump just displays the raw data; one would usually use gprof to display the data in a useful form incorporating symbolic info such as function names and source line numbers.

Here is an example of gmondump operation:

    $ gmondump gmon.out.21900.zstd.exe
    file gmon.out.21900.zstd.exe, gmon version 0x51879, sample rate 100
      address range 0x100401000..0x1004cc668
      numbuckets 208282, hitbuckets 1199, hitcount 12124, numrawarcs 0

Prev | Up | Next
getfacl | Home | kill